'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _babelTraverse = require('babel-traverse');

var _babelTraverse2 = _interopRequireDefault(_babelTraverse);

var _createImport = require('./create-import');

var _createImport2 = _interopRequireDefault(_createImport);

var _getImports2 = require('./get-imports');

var _getImports3 = _interopRequireDefault(_getImports2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = ast => {
	var _getImports = (0, _getImports3.default)(ast);

	const identifiers = _getImports.identifiers;

	// Add React to imports if not imported already

	if (identifiers.includes('react') === false) {
		(0, _babelTraverse2.default)(ast, {
			Program: {
				exit: function exit(path) {
					path.unshiftContainer('body', [(0, _createImport2.default)('React', 'react')]);
				}
			}
		});
	}
};

module.change_code = 1; // eslint-disable-line

module.exports = exports['default'];